Subject: Re: [RFC PATCH 1/2] net: extend drop reasons for multiple subsystems

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Mar 2023 10:37:26 -0700

On Thu, 30 Mar 2023 10:11:12 +0200 Johannes Berg wrote:
> Yeah, I was being a bit sneaky here ;)
> 
> We could, for sure. Given that the users should probably be defensively
> coded anyway (as I did in drop_monitor), I wasn't sure if we _should_.
> 
> It seemed to me that for experimentation, especially if your driver is a
> module, it might be easier to allow this?
> 
> That said, I don't have any strong feelings about it, and I have some
> bugs here anyway so I can just add that.
> 
> We _could_ also keep a check for the core subsystem, but not sure that's
> worth it?

Checking the top bits should be good enough to catch uninitialized
values, and discourage out-of-tree shenanigans, I'd hope.